Control Center Endpoint API Reference

When you have completed your setup, you can begin using any REST client to create and send Control Center API calls.

Use the following API Reference to guide your SuiteApp management workflow.

Method

Description

URI

Parameters

Request Body

Query Parameters

GET

Use this method to retrieve the install base of a single SuiteApp.

GET /services/rest/suiteappcontrolcenter/v1/suiteapp/<applicationId>/installation

  • applicationId (required) - The SuiteApp ID.

  • authorization (required) - The authentication header. This value should be Bearer {TOKEN}.

-

Use the following optional query parameters to filter, sort, and paginate installation results.

  • upgradable (boolean) - When set to true, only returns installations eligible for upgrade for the selected release phase. Default value is false.

  • upgradePhase (string) - Specifies the release phase. Use only when upgradable=true. Supported values are LEADING and LAGGING. Default value is LEADING.

  • limit (number) - The maximum number of installations to return. Default page size is 20.

  • offset (number) - The number of installations to skip before returning results. Default value is 0.

  • orderBy (string) - The installation column to sort results. Column names are case-sensitive.

  • q (string) - Filters installations by comparing column values. Uses System for Cross-domain Identity Management (SCIM) filtering syntax and supports only the eq and co comparison operators and the AND join operator.

POST

Use this method to create a new SuiteApp version. This method requires you to define the SuiteApp ZIP archive, Minimal Required NetSuite Version, and phase.

POST /services/rest/suiteappcontrolcenter/v1/suiteapp/<applicationId>/version

  • applicationId (required) - The SuiteApp ID.

  • authorization (required) - The authentication header. This value should be Bearer {TOKEN}.

  • nsVersion (string) - Minimal Required NetSuite Version.

  • phase (string) - LEADING or LAGGING.

  • file (string) - SuiteApp ZIP archive.

Important:

These three parameters should be formatted as form-data media type, Content-Type: multipart/form-data

-

PATCH

Use this method to publish a pending SuiteApp version or deprecate a released version.

PATCH /services/rest/suiteappcontrolcenter/v1/suiteapp/{applicationId}/version/{versionId}

  • applicationID (required) - The SuiteApp ID.

  • versionId (required) - The SuiteApp version to modify.

  • authorization (required) - The authentication header. This value should be Bearer {TOKEN}.

  • status (string) - The action to perform on the SuiteApp version. Acceptable values for status:

    • PUBLISH_WITH_DEPRECATION

    • PUBLISH_WITH_PHASE_SHIFT

    • DEPRECATE

-

PUT

Use this method to upgrade installations to a selected SuiteApp version.

PUT /services/rest/suiteappcontrolcenter/v1/suiteapp/<applicationId>/installation

  • applicationId (required) - The SuiteApp ID.

  • authorization (required) - The authentication header. This value should be Bearer {TOKEN}.

  • companyIds (array) - NetSuite account IDs to upgrade.

  • version (string) - SuiteApp version to install.

-

Related Topics:

General Notices